import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;
import java.awt.*;

public class Dialogue extends JFrame
{
	/**
	 *			Tekstinis laukas ir checkbox'as.
	 */
	 
	private JTextArea t = new JTextArea(15, 20);
	private JCheckBox cb = new JCheckBox("Checkbox", false);
	
	/**
	 *			Radio mygtukai.
	 */
	
	private ButtonGroup g = new ButtonGroup();
	private JRadioButton
		rb1 = new JRadioButton("Button1", false),
		rb2 = new JRadioButton("Button2", false);
	private ActionListener al = new ActionListener()
	{
		public void actionPerformed(ActionEvent e)
		{
			t.append("Selected RadioButton " + ((JRadioButton)e.getSource()).getText() + "\n");
			if (cb.isSelected())
				t.append("Checkbox pazymetas.\n");
			else
				t.append("Checkbox nepazymetas.\n");
		}
	};
	
	/**
	 *			Combo box'as.
	 */
	 
	private JComboBox c = new JComboBox();
	
	/**
	 *			Slider'is.
	 */
	
	private JSlider sb = new JSlider(JSlider.HORIZONTAL, 0, 100, 60);
	
	/**
	 *			Panele.
	 */
	
	private JPanel p = new JPanel();
	
	/**
	 *			Meniu.
	 */
	
	private ActionListener men = new ActionListener()
	{
		public void actionPerformed(ActionEvent e)
		{
			t.append(((JMenuItem)e.getSource()).getText());
		}
	};
	private JMenu menu = new JMenu ("Meniu");
	private JMenuItem d1 = new JMenuItem("1-as dialogo langas");
	private JMenuItem d2 = new JMenuItem("2-as dialogo langas");
	
	public void init()
	{
		cb.addActionListener(new ActionListener()
		{
			public void actionPerformed (ActionEvent e)
			{
				if (cb.isSelected())
				{
					t.append("Checkbox pazymetas\n");
					t.append("Slankiklio rodmuo:" + sb.getValue() + "\n");
				}
				else
				{
					t.append("Checkbox nepazymetas\n");
					t.append("Slankiklio rodmuo:" + sb.getValue() + "\n");
				}
			}
		});
		rb1.addActionListener(al);
		rb2.addActionListener(al);
		g.add(rb1);
		g.add(rb2);
		c.addItem("Pirmas");
		c.addItem("Antras");
		c.addItem("Trecias");
		c.addActionListener(new ActionListener()
		{
			public void actionPerformed (ActionEvent e)
			{
				t.append("Parinktis:" + c.getSelectedIndex() + "\n" + ((JComboBox)e.getSource()).getSelectedItem() + "\n");
				t.append("Slankiklio rodmuo:" + sb.getValue() + "\n");
			}
		});
		sb.setPaintTicks(true);
		sb.setMajorTickSpacing(25);
		sb.setMinorTickSpacing(10);
		sb.setBorder(BorderFactory.createTitledBorder("Slankiklis"));
		sb.addChangeListener(new ChangeListener()
		{
			public void stateChanged (ChangeEvent e)
			{
				t.append("Slankiklio rodmuo:" + sb.getValue() + "\n");
				if (cb.isSelected())
					t.append("Checkbox parinktas.\n");
				else
					t.append("Checkbox atmestas.\n");
			}
		});
		p.setPreferredSize(new Dimension(60,60));
		p.setBorder(BorderFactory.createTitledBorder("Panele"));
		p.setVisible(true);
		p.addMouseListener(new MouseAdapter()
		{
			public void mouseEntered (MouseEvent e)
			{
				t.append("Pele uzvedem ant paneles. \n");
				if (cb.isSelected())
					t.append("Checkbox parinktas.\n");
				else
					t.append("Checkbox atmestas.\n");
			}
		});
		p.addMouseListener(new MouseAdapter()
		{
			public void mouseExited (MouseEvent e)
			{
				t.append("Pele nuvedeme nuo paneles. \n");
				if (cb.isSelected())
					t.append("Checkbox parinktas.\n");
				else
					t.append("Checkbox atmestas.\n");
			}
		});
		
		d1.addActionListener(new ActionListener()
		{
			public void actionPerformed (ActionEvent e)
			{
				JOptionPane.showMessageDialog(null, "ALERT!", "Warning:", JOptionPane.ERROR_MESSAGE);
				t.append("Issaukeme 1-a dialogo langa.\n");
			}
		});
		d2.addActionListener(new ActionListener()
		{
			public void actionPerformed (ActionEvent e)
			{
				int value = JOptionPane.showConfirmDialog(null, "Ar saule sviecia?", "Question", JOptionPane.YES_NO_OPTION);

				if (value == JOptionPane.YES_OPTION)
					t.append("Issaukeme 2-a dialogo langa su YES.\n");
				else
					t.append("Issaukeme 2-a dialogo langa su NO.\n");
			}
		});
		
		menu.add(d1);
		menu.add(d2);
		JMenuBar mb = new JMenuBar();
			mb.add(menu);
		setJMenuBar(mb);
		t.setEditable(false);
		Container cp = getContentPane();
		cp.setLayout(new FlowLayout());
		cp.add(new JScrollPane(t));
		cp.add(cb);
		cp.add(rb1);
		cp.add(rb2);
		cp.add(c);
		cp.add(sb);
		cp.add(p);
	}
	public static void main (String[] args)
	{
		Dialogue dg = new Dialogue();
		dg.init();
		dg.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		dg.pack();
		dg.setVisible(true);
	}
}